/* $Id: dl_create.c,v 0.3 1998/05/03 21:46:02 rsmit06 Stab $
 *
 * This file is part of the dlist library.
 *
 * Copyright (C) 1997, 1998  R.F. Smith
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Log: dl_create.c,v $
 * Revision 0.3  1998/05/03 21:46:02  rsmit06
 * Changed copyright date.
 *
 * Revision 0.2  1998/05/03 19:37:12  rsmit06
 * Added asertion.
 *
 * Revision 0.1  1997/12/21 16:48:57  rsmit06
 * Initial code
 *
 */

#include <stdlib.h>
#include <assert.h>
#include "dlist.h"

/* This function creates a list structure. If allocation fails, the prorgam
   is terminated. So it always returns a valid list. */
dlist_p 
dl_create(void)
{
  dlist_p list = calloc(1, sizeof(struct _dlist));

  assert(list != 0);
  /* Initialize structure. */
  /* Nothing to be done, since calloc fills everything with 0. */
  /* Return the list. */
  return list;
}
