/* $Id: dl_destroy.c,v 0.5 1998/05/03 21:47:52 rsmit06 Stab $
 *
 * This file is part of the dlist library.
 *
 * Copyright (C) 1997, 1998  R.F. Smith
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Log: dl_destroy.c,v $
 * Revision 0.5  1998/05/03 21:47:52  rsmit06
 * Changed copyright date.
 *
 * Revision 0.4  1998/05/03 19:51:47  rsmit06
 * dl_destroy now calls dl_erase.
 *
 * Revision 0.3  1998/05/03 19:40:52  rsmit06
 * Changed header into dlist.h
 *
 * Revision 0.2  1998/05/03 19:40:20  rsmit06
 * Added assertion.
 *
 * Revision 0.1  1997/12/21 16:49:28  rsmit06
 * Initial code
 *
 */

#include <stdlib.h>
#include <assert.h>
#include "dlist.h"

void 
dl_destroy(dlist_p list)
{
  dl_erase(list);
  /* Free the list data structure itself. */
  free(list);
}
